Appointment Endpoints
Manage employee appointments and scheduling.
Base Pathโ
/api/appointment-employee
Endpointsโ
List Appointmentsโ
GET /api/appointment-employee
Authorization: Bearer {token}
Create Appointmentโ
POST /api/appointment-employee
Authorization: Bearer {token}
{
"employeeId": "employee-uuid",
"agenda": "Q1 Performance Review",
"description": "Quarterly review meeting",
"location": "Google Meet",
"startDateTime": "2025-03-10T10:00:00.000Z",
"endDateTime": "2025-03-10T11:00:00.000Z",
"bufferTimeStart": false,
"bufferTimeEnd": false,
"bufferTimeInMins": 0,
"invitees": [{ "id": "employee-uuid-2" }]
}
Update Appointmentโ
PUT /api/appointment-employee/:id
Authorization: Bearer {token}
Delete Appointmentโ
DELETE /api/appointment-employee/:id
Authorization: Bearer {token}
Sign Appointmentโ
PUT /api/appointment-employee/:id/sign
Authorization: Bearer {token}
Related Pagesโ
- Employee Appointments โ feature guide
- Interview Scheduling โ interviews
- Calendar Integration โ calendar